## akonadiconsole 22.08.1

=== debian/changelog ===
akonadiconsole (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:34:32 +0100

akonadiconsole (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:44:59 +0100

akonadiconsole (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:22:09 +0100

akonadiconsole (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:55:37 +0100

akonadiconsole (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:52:22 +0100

akonadiconsole (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:42:11 +0100

akonadiconsole (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:05:02 +0000

akonadiconsole (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update debian/watch
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:11:25 +0000

akonadiconsole (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:19:25 +0000

akonadiconsole (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:16:11 +0000

akonadiconsole (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:11:46 +0000

akonadiconsole (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 23:29:26 +0000

akonadiconsole (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:35:03 +0000

=== debian/control ===
Source: akonadiconsole
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               libassuan-dev,
               libkf5akonadi-dev (>= 4:22.08.1~),
               libkf5akonadicalendar-dev (>= 4:22.08.1~),
               libkf5akonadicontact-dev (>= 4:22.08.1~),
               libkf5akonadimime-dev (>= 4:22.08.1~),
               libkf5akonadisearch-dev (>= 4:22.08.1~),
               libkf5akonadiserver-dev (>= 4:22.08.1~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5auth-dev (>= 5.31.0~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarsupport-dev (>= 4:22.08.1~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:22.08.1~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5dnssd-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5grantleetheme-dev (>= 22.08.1~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5libkdepim-dev (>= 4:22.08.1~),
               libkf5libkleo-dev (>= 4:22.08.1~),
               libkf5mailimporter-dev (>= 4:22.08.1~),
               libkf5messagecomposer-dev (>= 4:22.08.1~),
               libkf5messagecore-dev (>= 4:22.08.1~),
               libkf5messagelist-dev (>= 4:22.08.1~),
               libkf5messageviewer-dev (>= 4:22.08.1~),
               libkf5mime-dev (>= 22.08.1~),
               libkf5mimetreeparser-dev (>= 4:22.08.1~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5pimcommon-dev (>= 4:22.08.1~),
               libkf5pimtextedit-dev (>= 22.08.1~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5templateparser-dev (>= 4:22.08.1~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5webengineviewer-dev (>= 4:22.08.1~),
               libkf5webkit-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libkf5xmlrpcclient-dev (>= 5.31.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.5.0~),
               libx11-dev,
               libxapian-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               shared-mime-info,
               xsltproc,
               zlib1g-dev,
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadiconsole
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadiconsole

Package: akonadiconsole
Section: utils
Architecture: any
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends}
Breaks: akonadi-kde (<< 4:4.3.0), kdepim-runtime (<< 4:4.4.0), ${kde-l10n:all}
Replaces: akonadi-kde (<< 4:4.3.0),
          kdepim-runtime (<< 4:4.4.0),
          ${kde-l10n:all},
Description: management and debugging console for akonadi
 Akonadi Console is a useful utility that can be used to explore or manage
 Akonadi. Since this utility exposes Akonadi internals, it is very useful for
 debugging but may also prove handy in other cases.

## akonadiconsole 22.08.2

=== debian/changelog ===
akonadiconsole (4:22.08.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Oct 2022 00:13:05 +0200

=== debian/control ===
Source: akonadiconsole
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.95.0~),
               libgrantlee5-dev (>= 5.2~),
               libkf5akonadi-dev (>= 4:22.08.2~),
               libkf5akonadicontact-dev (>= 4:22.08.2~),
               libkf5akonadisearch-dev (>= 4:22.08.2~),
               libkf5calendarcore-dev (>= 5:5.95.0~),
               libkf5calendarsupport-dev (>= 4:22.08.2~),
               libkf5completion-dev (>= 5.95.0~),
               libkf5config-dev (>= 5.95.0~),
               libkf5configwidgets-dev (>= 5.95.0~),
               libkf5contacts-dev (>= 5:5.95.0~),
               libkf5crash-dev (>= 5.95.0~),
               libkf5dbusaddons-dev (>= 5.95.0~),
               libkf5doctools-dev (>= 5.95.0~),
               libkf5i18n-dev (>= 5.95.0~),
               libkf5itemmodels-dev (>= 5.95.0~),
               libkf5itemviews-dev (>= 5.95.0~),
               libkf5kio-dev (>= 5.95.0~),
               libkf5libkdepim-dev (>= 4:22.08.2~),
               libkf5libkleo-dev (>> 4:22.08.2~),
               libkf5messageviewer-dev (>= 4:22.08.2~),
               libkf5mime-dev (>= 22.08.2~),
               libkf5textwidgets-dev (>= 5.95.0~),
               libkf5webengineviewer-dev (>= 4:22.08.2~),
               libkf5widgetsaddons-dev (>= 5.95.0~),
               libkf5xmlgui-dev (>= 5.95.0~),
               libxapian-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
               xauth,
               xvfb
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/pim/akonadiconsole
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadiconsole
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadiconsole.git
Rules-Requires-Root: no

Package: akonadiconsole
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: management and debugging console for akonadi
 Akonadi Console is a useful utility that can be used to explore or manage
 Akonadi. Since this utility exposes Akonadi internals, it is very useful for
 debugging but may also prove handy in other cases.

## akonadiconsole 22.08.3

=== debian/changelog ===
akonadiconsole (4:22.08.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Nov 2022 21:55:42 +0100

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.95.0~),
                libgrantlee5-dev (>= 5.2~),
-               libkf5akonadi-dev (>= 4:22.08.2~),
-               libkf5akonadicontact-dev (>= 4:22.08.2~),
-               libkf5akonadisearch-dev (>= 4:22.08.2~),
+               libkf5akonadi-dev (>= 4:22.08.3~),
+               libkf5akonadicontact-dev (>= 4:22.08.3~),
+               libkf5akonadisearch-dev (>= 4:22.08.3~),
                libkf5calendarcore-dev (>= 5:5.95.0~),
-               libkf5calendarsupport-dev (>= 4:22.08.2~),
+               libkf5calendarsupport-dev (>= 4:22.08.3~),
                libkf5completion-dev (>= 5.95.0~),
                libkf5config-dev (>= 5.95.0~),
                libkf5configwidgets-dev (>= 5.95.0~),
@@ -27,12 +27,12 @@
                libkf5itemmodels-dev (>= 5.95.0~),
                libkf5itemviews-dev (>= 5.95.0~),
                libkf5kio-dev (>= 5.95.0~),
-               libkf5libkdepim-dev (>= 4:22.08.2~),
-               libkf5libkleo-dev (>> 4:22.08.2~),
-               libkf5messageviewer-dev (>= 4:22.08.2~),
-               libkf5mime-dev (>= 22.08.2~),
+               libkf5libkdepim-dev (>= 4:22.08.3~),
+               libkf5libkleo-dev (>> 4:22.08.3~),
+               libkf5messageviewer-dev (>= 4:22.08.3~),
+               libkf5mime-dev (>= 22.08.3~),
                libkf5textwidgets-dev (>= 5.95.0~),
-               libkf5webengineviewer-dev (>= 4:22.08.2~),
+               libkf5webengineviewer-dev (>= 4:22.08.3~),
                libkf5widgetsaddons-dev (>= 5.95.0~),
                libkf5xmlgui-dev (>= 5.95.0~),
                libxapian-dev,

## akonadiconsole 22.12.0

=== debian/changelog ===
akonadiconsole (4:22.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Jan 2023 21:35:12 +0100

akonadiconsole (4:22.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Dec 2022 21:06:21 +0100

=== debian/control ===
Source: akonadiconsole
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.99.0~),
               libgrantlee5-dev (>= 5.2~),
               libkf5akonadi-dev (>= 4:22.12.0~),
               libkf5akonadicontact-dev (>= 4:22.12.0~),
               libkf5akonadisearch-dev (>= 4:22.12.0~),
               libkf5calendarcore-dev (>= 5:5.99.0~),
               libkf5calendarsupport-dev (>= 4:22.12.0~),
               libkf5completion-dev (>= 5.99.0~),
               libkf5config-dev (>= 5.99.0~),
               libkf5configwidgets-dev (>= 5.99.0~),
               libkf5contacts-dev (>= 5:5.99.0~),
               libkf5crash-dev (>= 5.99.0~),
               libkf5dbusaddons-dev (>= 5.99.0~),
               libkf5doctools-dev (>= 5.99.0~),
               libkf5i18n-dev (>= 5.99.0~),
               libkf5itemmodels-dev (>= 5.99.0~),
               libkf5itemviews-dev (>= 5.99.0~),
               libkf5kio-dev (>= 5.99.0~),
               libkf5libkdepim-dev (>= 4:22.12.0~),
               libkf5libkleo-dev (>> 4:22.12.0~),
               libkf5messageviewer-dev (>= 4:22.12.0~),
               libkf5mime-dev (>= 22.12.0~),
               libkf5textwidgets-dev (>= 5.99.0~),
               libkf5webengineviewer-dev (>= 4:22.12.0~),
               libkf5widgetsaddons-dev (>= 5.99.0~),
               libkf5xmlgui-dev (>= 5.99.0~),
               libxapian-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
               xauth,
               xvfb,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/pim/akonadiconsole
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadiconsole
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadiconsole.git
Rules-Requires-Root: no

Package: akonadiconsole
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: management and debugging console for akonadi
 Akonadi Console is a useful utility that can be used to explore or manage
 Akonadi. Since this utility exposes Akonadi internals, it is very useful for
 debugging but may also prove handy in other cases.

## akonadiconsole 22.12.2

=== debian/changelog ===
akonadiconsole (4:22.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Feb 2023 00:28:09 +0100

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.99.0~),
                libgrantlee5-dev (>= 5.2~),
-               libkf5akonadi-dev (>= 4:22.12.0~),
-               libkf5akonadicontact-dev (>= 4:22.12.0~),
-               libkf5akonadisearch-dev (>= 4:22.12.0~),
+               libkf5akonadi-dev (>= 4:22.12.2~),
+               libkf5akonadicontact-dev (>= 4:22.12.2~),
+               libkf5akonadisearch-dev (>= 4:22.12.2~),
                libkf5calendarcore-dev (>= 5:5.99.0~),
-               libkf5calendarsupport-dev (>= 4:22.12.0~),
+               libkf5calendarsupport-dev (>= 4:22.12.2~),
                libkf5completion-dev (>= 5.99.0~),
                libkf5config-dev (>= 5.99.0~),
                libkf5configwidgets-dev (>= 5.99.0~),
@@ -27,12 +27,12 @@
                libkf5itemmodels-dev (>= 5.99.0~),
                libkf5itemviews-dev (>= 5.99.0~),
                libkf5kio-dev (>= 5.99.0~),
-               libkf5libkdepim-dev (>= 4:22.12.0~),
-               libkf5libkleo-dev (>> 4:22.12.0~),
-               libkf5messageviewer-dev (>= 4:22.12.0~),
-               libkf5mime-dev (>= 22.12.0~),
+               libkf5libkdepim-dev (>= 4:22.12.2~),
+               libkf5libkleo-dev (>> 4:22.12.2~),
+               libkf5messageviewer-dev (>= 4:22.12.2~),
+               libkf5mime-dev (>= 22.12.2~),
                libkf5textwidgets-dev (>= 5.99.0~),
-               libkf5webengineviewer-dev (>= 4:22.12.0~),
+               libkf5webengineviewer-dev (>= 4:22.12.2~),
                libkf5widgetsaddons-dev (>= 5.99.0~),
                libkf5xmlgui-dev (>= 5.99.0~),
                libxapian-dev,

## akonadiconsole 22.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "5.22.3")
project(akonadiconsole VERSION ${PIM_VERSION})

# Needs C++17 because Akonadi uses it and we link
# against its private API

set(KF5_MIN_VERSION "5.99.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)


include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)


# Do NOT add quote
set(KDEPIM_DEV_VERSION )

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()
set(RELEASE_SERVICE_VERSION "22.12.3")

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "5")

set(AKONADI_CONTACT_VERSION "5.22.3")
set(CALENDARSUPPORT_LIB_VERSION "5.22.3")
set(AKONADI_VERSION "5.22.3")
set(AKONADI_SEARCH_VERSION "5.22.3")

set(QT_REQUIRED_VERSION "5.15.2")
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
endif()
find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets DBus Sql Test)
set(MESSAGELIB_LIB_VERSION "5.22.3")
set(LIBKDEPIM_LIB_VERSION "5.22.3")
set(KMIME_LIB_VERSION "5.22.3")


# Find KF5 package
find_package(KF5Completion ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ConfigWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5DBusAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5DocTools ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ItemModels ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5TextWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5XmlGui ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Crash ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Completion ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5ItemViews ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} REQUIRED)

# Find KdepimLibs Package
find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED) # Because of KPIM::KCheckComboBox

if (NOT WIN32)
    find_package(KF5AkonadiContact ${AKONADI_CONTACT_VERSION} CONFIG REQUIRED)
    find_package(KF5CalendarSupport ${CALENDARSUPPORT_LIB_VERSION} CONFIG REQUIRED)
    find_package(KF5MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
    find_package(KF5AkonadiSearch ${AKONADI_SEARCH_VERSION} CONFIG REQUIRED)
    set_package_properties(KF5AkonadiSearch PROPERTIES DESCRIPTION "The Akonadi Search libraries" URL "https://invent.kde.org/pim/akonadi-search" TYPE REQUIRED PURPOSE "Provides search capabilities in KMail and Akonadi")
    find_package(Xapian CONFIG)
    set_package_properties(Xapian PROPERTIES
        DESCRIPTION "The Xapian search engine library"
        URL "https://xapian.org"
        TYPE REQUIRED
    )

    set(ENABLE_SEARCH TRUE)
    set(ENABLE_CONTENTVIEWS TRUE)
endif()

# From akonadi's CMakeLists.txt. Needed to fix:
# FAILED: src/CMakeFiles/libakonadiconsole.dir/browserwidget.cpp.obj
# ...
# Z:\CraftRoot\include\KF5\AkonadiCore/item.h(596): error C2039:
# "auto_ptr" ist kein Member von "std".
if (MSVC)
    # This sets the __cplusplus macro to a real value based on the version of C++ specified by
    # the /std switch. Without it MSVC keeps reporting C++98, so feature detection doesn't work.
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /Zc:__cplusplus")
endif()

ecm_set_disabled_deprecation_versions(QT 5.15.2 KF 5.99.0)


include_directories(${akonadiconsole_SOURCE_DIR} ${akonadiconsole_BINARY_DIR} ${XAPIAN_INCLUDE_DIR})
configure_file(akonadiconsole-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/akonadiconsole-version.h @ONLY)
configure_file(config-akonadiconsole.h.cmake ${CMAKE_BINARY_DIR}/config-akonadiconsole.h)
option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()
add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===

include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(icons)

set(libakonadiconsole_tracker_SRCS
    jobtracker.cpp
    jobtrackerwidget.cpp
    jobtrackermodel.cpp
    jobtrackerfilterproxymodel.cpp
    jobtrackersearchwidget.cpp
    )

set(libakonadiconsole_SRCS
    agentwidget.cpp
    agentconfigdialog.cpp
    agentconfigmodel.cpp
    akonadibrowsermodel.cpp
    browserwidget.cpp
    collectionattributespage.cpp
    collectioninternalspage.cpp
    collectionaclpage.cpp
    connectionpage.cpp
    dbbrowser.cpp
    dbconsole.cpp
    debugfiltermodel.cpp
    debugmodel.cpp
    debugwidget.cpp
    instanceselector.cpp
    logging.cpp
    loggingfiltermodel.cpp
    loggingmodel.cpp
    mainwidget.cpp
    mainwindow.cpp
    monitorswidget.cpp
    monitorsmodel.cpp
    notificationmodel.cpp
    notificationfiltermodel.cpp
    notificationmonitor.cpp
    querydebugger.cpp
    tagpropertiesdialog.cpp
    uistatesaver.cpp
    monitorsmodel.h
    notificationfiltermodel.h
    collectionaclpage.h
    utils.h
    jobtrackermodel.h
    metatypes.h
    jobtrackersearchwidget.h
    debugwidget.h
    jobtracker.h
    collectioninternalspage.h
    mainwindow.h
    browserwidget.h
    akonadibrowsermodel.h
    collectionattributespage.h
    notificationmonitor.h
    agentconfigmodel.h
    monitorswidget.h
    notificationmodel.h
    mainwidget.h
    dbconsole.h
    tagpropertiesdialog.h
    querydebugger.h
    logging.h
    uistatesaver.h
    debugfiltermodel.h
    loggingfiltermodel.h
    dbbrowser.h
    agentconfigdialog.h
    jobtrackerwidget.h
    connectionpage.h
    jobtrackerfilterproxymodel.h
    loggingmodel.h
    agentwidget.h
    debugmodel.h
    instanceselector.h
    ${libakonadiconsole_tracker_SRCS}
)

if (ENABLE_SEARCH)
    set(libakonadiconsole_SRCS
        ${libakonadiconsole_SRCS}
        searchwidget.cpp
        searchwidget.h
    )
endif()

qt_generate_dbus_interface(jobtracker.h org.freedesktop.Akonadi.JobTracker.xml)
qt_add_dbus_adaptor(libakonadiconsole_SRCS ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Akonadi.JobTracker.xml jobtracker.h JobTracker)
qt_add_dbus_adaptor(libakonadiconsole_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.akonadiconsole.logger.xml logging.h Logging)

qt_add_dbus_interfaces(libakonadiconsole_SRCS
    ${AKONADI_DBUS_INTERFACES_DIR}/org.freedesktop.Akonadi.TracerNotification.xml
    )
# Use intalled interface once we can depend on Akoandi 1.1
set_source_files_properties(org.freedesktop.Akonadi.DebugInterface.xml PROPERTIES CLASSNAME DebugInterface)
qt_add_dbus_interface(libakonadiconsole_SRCS
    org.freedesktop.Akonadi.DebugInterface.xml
    debuginterface
    )

set_source_files_properties(${AKONADI_DBUS_INTERFACES_DIR}/org.freedesktop.Akonadi.StorageDebugger.xml
    PROPERTIES INCLUDE querydebugger.h
)
qt_add_dbus_interface(libakonadiconsole_SRCS
    ${AKONADI_DBUS_INTERFACES_DIR}/org.freedesktop.Akonadi.StorageDebugger.xml
    storagedebuggerinterface
    )

qt_wrap_ui(libakonadiconsole_SRCS
    agentwidget.ui
    agentconfigdialog.ui
    browserwidget_itemview.ui
    collectionattributespage.ui
    collectionaclpage.ui
    dbbrowser.ui
    dbconsoletab.ui
    instanceselector.ui
    browserwidget_contentview.ui
    collectioninternalspage.ui
    tagpropertiesdialog.ui
    querydebugger.ui
    queryviewdialog.ui
    )



ecm_qt_declare_logging_category(libakonadiconsole_SRCS HEADER akonadiconsole_debug.h IDENTIFIER AKONADICONSOLE_LOG CATEGORY_NAME org.kde.pim.akonadiconsole
        OLD_CATEGORY_NAMES log_akonadiconsole
        DESCRIPTION "akonadiconsole (akonadiconsole)" EXPORT AKONADICONSOLE)



add_library(libakonadiconsole ${libakonadiconsole_SRCS})
if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(libakonadiconsole PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header(libakonadiconsole BASE_NAME libakonadiconsole)

target_link_libraries(libakonadiconsole
    KF5::AkonadiCore
    KF5::AkonadiPrivate
    KF5::AkonadiWidgets
    KF5::AkonadiXml
    KF5::Mime
    KF5::Contacts
    KF5::CalendarCore
    Qt::Sql
    KF5::Completion
    KF5::ItemViews
    KF5::TextWidgets
    KF5::XmlGui
    KF5::Libkdepim
    )

if (ENABLE_SEARCH)
    target_link_libraries(libakonadiconsole
        KF5::AkonadiSearchCore
        KF5::AkonadiSearchXapian
    )
endif()

if (ENABLE_CONTENTVIEWS)
    target_link_libraries(libakonadiconsole
        KF5::AkonadiContact
        KF5::CalendarSupport
        KF5::MessageViewer
    )
endif()

set_target_properties(libakonadiconsole
    PROPERTIES OUTPUT_NAME akonadiconsole
    VERSION ${KDEPIM_LIB_VERSION}
    SOVERSION ${KDEPIM_LIB_SOVERSION}
    )


set(akonadiconsole_SRCS
    main.cpp
    akonadiconsole.qrc
    )

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/*-apps-akonadiconsole.png")
ecm_add_app_icon(akonadiconsole_SRCS ICONS ${ICONS_SRCS})

add_executable(akonadiconsole ${akonadiconsole_SRCS})

target_link_libraries(akonadiconsole
    libakonadiconsole
    KF5::DBusAddons
    KF5::CoreAddons
    KF5::Crash
)

install(TARGETS akonadiconsole ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.akonadiconsole.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(TARGETS libakonadiconsole ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

ecm_qt_install_logging_categories(EXPORT AKONADICONSOLE FILE akonadiconsole.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

=== debian/changelog ===
akonadiconsole (4:22.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Mar 2023 21:33:43 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Sandro Knauß <hefee@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Patrick Franz <deltaone@debian.org>,
@@ -11,11 +10,11 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.99.0~),
                libgrantlee5-dev (>= 5.2~),
-               libkf5akonadi-dev (>= 4:22.12.2~),
-               libkf5akonadicontact-dev (>= 4:22.12.2~),
-               libkf5akonadisearch-dev (>= 4:22.12.2~),
+               libkf5akonadi-dev (>= 4:22.12.3~),
+               libkf5akonadicontact-dev (>= 4:22.12.3~),
+               libkf5akonadisearch-dev (>= 4:22.12.3~),
                libkf5calendarcore-dev (>= 5:5.99.0~),
-               libkf5calendarsupport-dev (>= 4:22.12.2~),
+               libkf5calendarsupport-dev (>= 4:22.12.3~),
                libkf5completion-dev (>= 5.99.0~),
                libkf5config-dev (>= 5.99.0~),
                libkf5configwidgets-dev (>= 5.99.0~),
@@ -27,12 +26,12 @@
                libkf5itemmodels-dev (>= 5.99.0~),
                libkf5itemviews-dev (>= 5.99.0~),
                libkf5kio-dev (>= 5.99.0~),
-               libkf5libkdepim-dev (>= 4:22.12.2~),
-               libkf5libkleo-dev (>> 4:22.12.2~),
-               libkf5messageviewer-dev (>= 4:22.12.2~),
-               libkf5mime-dev (>= 22.12.2~),
+               libkf5libkdepim-dev (>= 4:22.12.3~),
+               libkf5libkleo-dev (>> 4:22.12.3~),
+               libkf5messageviewer-dev (>= 4:22.12.3~),
+               libkf5mime-dev (>= 22.12.3~),
                libkf5textwidgets-dev (>= 5.99.0~),
-               libkf5webengineviewer-dev (>= 4:22.12.2~),
+               libkf5webengineviewer-dev (>= 4:22.12.3~),
                libkf5widgetsaddons-dev (>= 5.99.0~),
                libkf5xmlgui-dev (>= 5.99.0~),
                libxapian-dev,
@@ -50,7 +49,7 @@
 Package: akonadiconsole
 Section: utils
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: management and debugging console for akonadi
  Akonadi Console is a useful utility that can be used to explore or manage
  Akonadi. Since this utility exposes Akonadi internals, it is very useful for

## akonadiconsole 23.08.1

=== debian/changelog ===
akonadiconsole (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:53:51 +0100

akonadiconsole (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:48:36 +0100

akonadiconsole (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:28:49 +0100

akonadiconsole (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:40:42 +0100

akonadiconsole (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Add libkf5textaddons-dev to Build-Depends
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2023 12:58:16 +0100

akonadiconsole (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:32:53 +0000

akonadiconsole (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:08:30 -0600

akonadiconsole (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 17:24:42 +0000

akonadiconsole (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:03:43 +0000

akonadiconsole (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:00:08 +0000

akonadiconsole (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Nov 2022 10:38:13 +0000

akonadiconsole (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:03:55 +0000

=== debian/control ===
Source: akonadiconsole
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               libassuan-dev,
               libkf5akonadi-dev (>= 4:23.08.1~),
               libkf5akonadicalendar-dev (>= 4:23.08.1~),
               libkf5akonadicontact-dev (>= 4:23.08.1~),
               libkf5akonadimime-dev (>= 4:23.08.1~),
               libkf5akonadisearch-dev (>= 4:23.08.1~),
               libkf5akonadiserver-dev (>= 4:23.08.1~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5auth-dev (>= 5.31.0~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarsupport-dev (>= 4:23.08.1~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:23.08.1~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5dnssd-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5grantleetheme-dev (>= 23.08.1~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5libkdepim-dev (>= 4:23.08.1~),
               libkf5libkleo-dev (>= 4:23.08.1~),
               libkf5mailimporter-dev (>= 4:23.08.1~),
               libkf5messagecomposer-dev (>= 4:23.08.1~),
               libkf5messagecore-dev (>= 4:23.08.1~),
               libkf5messagelist-dev (>= 4:23.08.1~),
               libkf5messageviewer-dev (>= 4:23.08.1~),
               libkf5mime-dev (>= 23.08.1~),
               libkf5mimetreeparser-dev (>= 4:23.08.1~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5pimcommon-dev (>= 4:23.08.1~),
               libkf5pimtextedit-dev (>= 23.08.1~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5templateparser-dev (>= 4:23.08.1~),
               libkf5textaddons-dev,
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5webengineviewer-dev (>= 4:23.08.1~),
               libkf5webkit-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libkf5xmlrpcclient-dev (>= 5.31.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.5.0~),
               libx11-dev,
               libxapian-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               shared-mime-info,
               xsltproc,
               zlib1g-dev,
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadiconsole
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadiconsole

Package: akonadiconsole
Section: utils
Architecture: any
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends}
Breaks: akonadi-kde (<< 4:4.3.0), kdepim-runtime (<< 4:4.4.0), ${kde-l10n:all}
Replaces: akonadi-kde (<< 4:4.3.0),
          kdepim-runtime (<< 4:4.4.0),
          ${kde-l10n:all},
Description: management and debugging console for akonadi
 Akonadi Console is a useful utility that can be used to explore or manage
 Akonadi. Since this utility exposes Akonadi internals, it is very useful for
 debugging but may also prove handy in other cases.

## akonadiconsole 23.08.5

=== autotests/CMakeLists.txt ===
# convenience macro to add qtest unit tests
macro(add_unittest _source)
    set(_test ${_source})
    get_filename_component(_name ${_source} NAME_WE)
    add_executable( ${_name} ${_test}  ${_name}.h)
    add_test(NAME ${_name} COMMAND ${_name})
    ecm_mark_as_test(akonadiconsole-${_name})
    set_tests_properties(${_name} PROPERTIES ENVIRONMENT "QT_HASH_SEED=1")
    target_link_libraries( ${_name}
        Qt::Test
        KF${KF_MAJOR_VERSION}::I18n
        Qt::Widgets
        KF${KF_MAJOR_VERSION}::ConfigCore
        KF${KF_MAJOR_VERSION}::WidgetsAddons
        KF${KF_MAJOR_VERSION}::ItemViews
        KF${KF_MAJOR_VERSION}::Completion
        libakonadiconsole
        )
endmacro ()

add_unittest(jobtrackertest.cpp)
add_unittest(jobtrackermodeltest.cpp )
add_unittest(jobtrackersearchwidgettest.cpp )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
 
 include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR})
+
+add_definitions(-DTRANSLATION_DOMAIN=\"akonadiconsole\")
 
 add_subdirectory(icons)
 
@@ -125,47 +127,48 @@
     )
 
 
-
-ecm_qt_declare_logging_category(libakonadiconsole_SRCS HEADER akonadiconsole_debug.h IDENTIFIER AKONADICONSOLE_LOG CATEGORY_NAME org.kde.pim.akonadiconsole
+add_library(libakonadiconsole ${libakonadiconsole_SRCS})
+
+ecm_qt_declare_logging_category(libakonadiconsole HEADER akonadiconsole_debug.h IDENTIFIER AKONADICONSOLE_LOG CATEGORY_NAME org.kde.pim.akonadiconsole
         OLD_CATEGORY_NAMES log_akonadiconsole
         DESCRIPTION "akonadiconsole (akonadiconsole)" EXPORT AKONADICONSOLE)
 
 
 
-add_library(libakonadiconsole ${libakonadiconsole_SRCS})
 if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
     set_target_properties(libakonadiconsole PROPERTIES UNITY_BUILD ON)
 endif()
 generate_export_header(libakonadiconsole BASE_NAME libakonadiconsole)
 
 target_link_libraries(libakonadiconsole
-    KF5::AkonadiCore
-    KF5::AkonadiPrivate
-    KF5::AkonadiWidgets
-    KF5::AkonadiXml
-    KF5::Mime
-    KF5::Contacts
-    KF5::CalendarCore
+    KPim${KF_MAJOR_VERSION}::AkonadiCore
+    KPim${KF_MAJOR_VERSION}::AkonadiPrivate
+    KPim${KF_MAJOR_VERSION}::AkonadiWidgets
+    KPim${KF_MAJOR_VERSION}::AkonadiXml
+    KPim${KF_MAJOR_VERSION}::Mime
+    KF${KF_MAJOR_VERSION}::Contacts
+    KF${KF_MAJOR_VERSION}::CalendarCore
     Qt::Sql
-    KF5::Completion
-    KF5::ItemViews
-    KF5::TextWidgets
-    KF5::XmlGui
-    KF5::Libkdepim
+    KF${KF_MAJOR_VERSION}::Completion
+    KF${KF_MAJOR_VERSION}::ItemViews
+    KF${KF_MAJOR_VERSION}::TextWidgets
+    KF${KF_MAJOR_VERSION}::XmlGui
+    KPim${KF_MAJOR_VERSION}::Libkdepim
     )
 
 if (ENABLE_SEARCH)
     target_link_libraries(libakonadiconsole
-        KF5::AkonadiSearchCore
-        KF5::AkonadiSearchXapian
+        KPim${KF_MAJOR_VERSION}::AkonadiSearchCore
+        KPim${KF_MAJOR_VERSION}::AkonadiSearchXapian
     )
 endif()
 
 if (ENABLE_CONTENTVIEWS)
     target_link_libraries(libakonadiconsole
-        KF5::AkonadiContact
-        KF5::CalendarSupport
-        KF5::MessageViewer
+        KPim${KF_MAJOR_VERSION}::AkonadiContact
+        KPim${KF_MAJOR_VERSION}::ContactEditor
+        KPim${KF_MAJOR_VERSION}::CalendarSupport
+        KPim${KF_MAJOR_VERSION}::MessageViewer
     )
 endif()
 
@@ -188,9 +191,9 @@
 
 target_link_libraries(akonadiconsole
     libakonadiconsole
-    KF5::DBusAddons
-    KF5::CoreAddons
-    KF5::Crash
+    KF${KF_MAJOR_VERSION}::DBusAddons
+    KF${KF_MAJOR_VERSION}::CoreAddons
+    KF${KF_MAJOR_VERSION}::Crash
 )
 
 install(TARGETS akonadiconsole ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
akonadiconsole (4:23.08.5-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:07:13 +1100

akonadiconsole (4:23.08.5-0ubuntu4) noble; urgency=high

  * No change rebuild against libkpim5messageviewer5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 21:13:50 +0100

akonadiconsole (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:50:08 +0000

akonadiconsole (4:23.08.5-0ubuntu2) noble; urgency=medium

  * Add apparmor profile to fix userns. Ref: (LP: #2046844) 

 -- Scarlett Moore <sgmoore@debian.org>  Sun, 25 Feb 2024 01:25:04 -0700

akonadiconsole (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:25:08 -0700

akonadiconsole (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:10:09 +0000

akonadiconsole (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:29:13 +0000

akonadiconsole (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:25:35 +0100

=== debian/control ===
--- 
+++ 
@@ -11,23 +11,24 @@
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 11),
+               debhelper-compat (= 13),
+               dh-apparmor,
                extra-cmake-modules (>= 5.31.0~),
                libassuan-dev,
-               libkf5akonadi-dev (>= 4:23.08.1~),
-               libkf5akonadicalendar-dev (>= 4:23.08.1~),
-               libkf5akonadicontact-dev (>= 4:23.08.1~),
-               libkf5akonadimime-dev (>= 4:23.08.1~),
-               libkf5akonadisearch-dev (>= 4:23.08.1~),
-               libkf5akonadiserver-dev (>= 4:23.08.1~),
+               libkf5akonadi-dev (>= 4:23.08.5~),
+               libkf5akonadicalendar-dev (>= 4:23.08.5~),
+               libkf5akonadicontact-dev (>= 4:23.08.5~),
+               libkf5akonadimime-dev (>= 4:23.08.5~),
+               libkf5akonadisearch-dev (>= 4:23.08.5~),
+               libkf5akonadiserver-dev (>= 4:23.08.5~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5calendarcore-dev (>= 4:19.08.3~),
-               libkf5calendarsupport-dev (>= 4:23.08.1~),
+               libkf5calendarsupport-dev (>= 4:23.08.5~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:23.08.1~),
+               libkf5contacteditor-dev (>= 4:23.08.5~),
                libkf5contacts-dev (>= 4:19.08.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
@@ -35,34 +36,34 @@
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 23.08.1~),
+               libkf5grantleetheme-dev (>= 23.08.5~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:23.08.1~),
-               libkf5libkleo-dev (>= 4:23.08.1~),
-               libkf5mailimporter-dev (>= 4:23.08.1~),
-               libkf5messagecomposer-dev (>= 4:23.08.1~),
-               libkf5messagecore-dev (>= 4:23.08.1~),
-               libkf5messagelist-dev (>= 4:23.08.1~),
-               libkf5messageviewer-dev (>= 4:23.08.1~),
-               libkf5mime-dev (>= 23.08.1~),
-               libkf5mimetreeparser-dev (>= 4:23.08.1~),
+               libkf5libkdepim-dev (>= 4:23.08.5~),
+               libkf5libkleo-dev (>= 4:23.08.5~),
+               libkf5mailimporter-dev (>= 4:23.08.5~),
+               libkf5messagecomposer-dev (>= 4:23.08.5~),
+               libkf5messagecore-dev (>= 4:23.08.5~),
+               libkf5messagelist-dev (>= 4:23.08.5~),
+               libkf5messageviewer-dev (>= 4:23.08.5~),
+               libkf5mime-dev (>= 23.08.5~),
+               libkf5mimetreeparser-dev (>= 4:23.08.5~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:23.08.1~),
-               libkf5pimtextedit-dev (>= 23.08.1~),
+               libkf5pimcommon-dev (>= 4:23.08.5~),
+               libkf5pimtextedit-dev (>= 23.08.5~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:23.08.1~),
+               libkf5templateparser-dev (>= 4:23.08.5~),
                libkf5textaddons-dev,
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:23.08.1~),
+               libkf5webengineviewer-dev (>= 4:23.08.5~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
